:root{

    /*Primary colors*/
    --Navy950: hsl(233, 47%, 7%); /*main background*/
    --Blue950: hsl(244, 37%, 16%); /*card background*/
    --Purple500: hsl(277, 64%, 61%); /*accent*/

    /*Neutral colors*/
    /*Use white for main, heading, stats*/
    --White-paragraph: hsla(0, 0%, 100%, 0.75); /*main paragraph*/
    --White-stat-headings: hsla(0, 0%, 100%, 0.6); /*stat headings*/

    --space: 1rem;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img,
svg{
    max-width: 100%;
    display: block;
}

h1,
h2{
    line-height: 1;
}

html,
body{
    height: 100%;
}

body{
    min-height: 100vh;
    background-color: var(--Navy950);
    display: grid;
    place-content: center;
    padding: 2rem;
}


article{
    border-radius: 0.625rem;
    overflow: hidden;
    background-color: var(--Blue950);
}

.card-image{
    background-image: 
    linear-gradient(hsla(277, 82%, 40%, 0.5),hsla(277, 82%, 40%,0.5)),
    url(images/image-header-mobile.jpg);
    background-position: center;
    background-size: cover;
    height: 450px;

}

.card-content{
    text-align: center;
    padding: 2rem;
    display: grid;
    gap: var(--space);
    color: var(--White-paragraph);
}

h1,
h2{
    color: white;
    font-family: 'Inter', sans-serif;
}

span{
 color: var(--Purple500);
}

p{
    font-family: 'Lexend Deca', sans-serif;
}

.card-content > p {
    color: var(--White-paragraph);
}

.statistics__container{
    display: grid;
    gap: 1.5rem;
    margin-top: 1.5rem;
}

.statistics__container p{
    color: var(--White-stat-headings);
}

.companies p,
.templates p,
.queries p {
    text-transform: uppercase;
}

@media (min-width: 700px){

    article{
        display: grid;
        grid-template-columns: 1fr 1fr;
        max-width: 900px;
    }
    .card-image{
        order: 2 ;
        background-image: 
        linear-gradient(hsla(277, 82%, 40%, 0.5),hsla(277, 82%, 40%,0.5)),
        url(images/image-header-desktop.jpg);
    }
    .card-content{
        text-align: start;
        place-content: center;
        padding: 3rem;
        gap: 2rem;
    }
    .card-content > p {
        line-height: 1.5;
    }
    .statistics__container{
        grid-template-columns: repeat(3, 1fr);
        margin-top: 2rem;
    }
    p{
        font-size: 14px;
    }
    .companies p,
    .templates p,
    .queries p {
        margin-top: 0.25rem;
    }
}